#!/bin/sh
#
# restore data and configuration of the server
# 
# usage: restore.sh <backupfile>
#
# <backupfile> should be created by backup.sh
#

. $HOME/etc/setenv.sh

echo "Restore is no longer in use"

exit 1



if [ -z "$1" ] ; then
  echo "missing backup file"
  exit 1;
fi

TAR=/bin/tar
RC=$ETC/rc

BACKUP_TARGZ=$1

CWD=`pwd`

cd $HOME

echo "Prepair stuff for restore"

$RC beforerestore >/dev/null

if [ $? -ne 0 ] ; then
  echo "Error during prepairing stuff"
  exit 1
fi

echo "restoring files from $BACKUP_TARGZ"

$TAR -xzf $BACKUP_TARGZ

if [ $? -ne 0 ] ; then
  echo "Error during restore"
  exit 2
fi
    
echo "Files restored. Finishing touches"

$RC afterrestore >/dev/null

if [ $? -ne 0 ] ; then
  echo "Error during finishing touches"
  exit 3
fi

cd $CWD

echo "Finished"
